Add Experimental Source Provenance to Data Points
This release adds the ability to retrieve the provenance of a data point via the GET /data_points endpoint.
- New
include_sourcequery parameter: Passinclude_source=trueto include asourceobject on each returned data point. - New
sourceobject onDataPoint(experimental): Describes the origin of the data point value, derived from the latest version in the changelog. - New
DataPointSourceschema with:source_type— origin of the value (ai_inbox,update_request,user_provided, orunknown)label— human-readable description of the sourcevisible_url— deep link to the source in Visible, when available
2 structure changes including:
2 Modifications
Modified
2
GET /data_points
- Response
-
200 response Modified
-
application/json content type Modified
-
data_points property Modified
- source property Added
-
data_points property Modified
-
application/json content type Modified
- Query
- include_source query parameter Added
PUT /metrics/{metric_id}/data_points
- Response
-
200 response Modified
-
application/json content type Modified
-
data_points property Modified
- source property Added
-
data_points property Modified
-
application/json content type Modified